--- asterisk.c	2004-03-24 17:32:51.000000000 -0600
+++ asterisk.c	2004-03-24 17:08:02.000000000 -0600
@@ -615,6 +615,16 @@
 	char tmp[80];
 	const char *c=NULL;
 	
+	/* allow for timestamping verbose messages */
+	time_t t;
+	struct tm tm;
+	char date[256];
+	
+	time(&t);
+	localtime_r(&t, &tm);
+	strftime(date, sizeof(date), "%b %e %T", &tm);
+		
+	
 	/* Return to the beginning of the line */
 	if (!pos) {
 		fprintf(stdout, "\r");
@@ -622,6 +632,8 @@
 			(c = fix_header(tmp, sizeof(tmp), s, VERBOSE_PREFIX_3)) ||
 			(c = fix_header(tmp, sizeof(tmp), s, VERBOSE_PREFIX_2)) ||
 			(c = fix_header(tmp, sizeof(tmp), s, VERBOSE_PREFIX_1)))
+			fputs(date, stdout);
+			fputs(" ", stdout);
 			fputs(tmp, stdout);
 	}
 	if (c)
